# Makefile.in generated by automake 1.18.1 from Makefile.am.
# @configure_input@

# Copyright (C) 1994-2025 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@

#============================================================================
# create_am_macros.mk

#============================================================================
# am_vars.mk

#============================================================================
# inst_vars.mk

#============================================================================
# substitute_config_variables.mk

#============================================================================
# perl_prog.mk
#
# "compile" *.pl files to *.  substitutes into *.pl.in to generate %.pl

#============================================================================
# perl_subst.mk
#
# substitutes into *.pl.in to generate %.pl

#============================================================================
# prog_pod_pl_in.mk - generate program documentation from .pl.in input

# this snippet creates POD files from .pl.in files by implementing the
# standard substitutions and then orchestrates the creation of
# PostScript, HTML, and UNIX section l man pages from the POD.  see
# prog_pod_base.mk for more information.

# Prerequisites:
#	create_am_macros.mk
#	substitute_config_variables.mk

# The caller must define
#  PODS    - the list of documentation, basenames only

#============================================================================
# prog_pod_base.mk - generate program documentation from POD input

# this snippets orchestrates the creation of PostScript, HTML, and
# UNIX section l man pages from POD input.  it is generally not used
# directly.

# Prerequisites:
#	create_am_macros.mk

# The caller must define
#  POD_SFX - the suffix of the pod source file
#  PODS    - the list of documentation, basenames only
#  POD_DIR - where the POD source is located. must end in / if not empty.

# Because of how automake works, the caller must set
# 	dist_manl_MANS
# to the explicit list of man pages. no makefile variables allowed!

# Note that this implies that all pod source files have the same suffix
# If this is not the case, add rules to create .pod files like so:
#
# %.pod : %.xx
#	podselect %< > $@
#
# and set POD_SFX to .pod.  Just make sure that %.xx is an invariant
# file (i.e. not something created from a .in file).  Usually just using
# the .in file as the source is pretty safe.

#============================================================================
# pod_html.mk

# The caller must define
#  POD_SRC - the POD source file pattern match (see prog_pod.mk)
#  POD_SFX - the suffix of the pod source file
#  PODS    - the list of documentation, basenames only

# Note that this implies that all pod source files have the same suffix
# If this is not the case, add rules to create .pod files like so:
#
# %.pod : %.xx
#	podselect %< > $@
#
# and set POD_SFX to .pod.  Just make sure that %.xx is an invariant
# file (i.e. not something created from a .in file).  Usually just using
# the .in file as the source is pretty safe.

# The caller must 
#	include create_am_macros.mk
# prior to 
#	include pod_html.mk

# if the caller is using this file directly (and not going through prog_pod.mk)
# add
#
#   EXTRA_DIST += $(PODS:%=%$(POD_SFX))

#============================================================================
# pod_man_init.mk

# Variables required:
#
#  POD_DIR
#     where the POD source is located. usually $(srcdir)/ or empty.
#
#  POD_SFX
#     the file suffix on the POD source

#============================================================================
# pod_manl.mk

# Snippets required:
#	create_am_macros.mk
#	pod_man_init.mk

# Variables required:
#
# see pod_man_init.mk
#
#  PODLSFX 
#    may be empty.  explicit suffix for .l files. used in conjunction
#    with POD_SFX

# ensure that 
#
#	pod_man_l.mk
#	pod_man_3.mk
#	pod_man_5.mk
#	pod_man_7.mk
#
# are kept in sync!

#============================================================================
# pod_ps_init.mk

# this snippet initializes the "environment" for the pod_ps family of snippets

# Prerequisites:
#	create_am_macros.mk

#============================================================================
# pod_psl.mk - generate PostScript from man section l input

# Prerequisites:
#	pod_ps_init.mk
#	pod_manl.mk


VPATH = @srcdir@
am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
am__rm_f = rm -f $(am__rm_f_notfound)
am__rm_rf = rm -rf $(am__rm_f_notfound)
pkgdatadir = $(datadir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkglibexecdir = $(libexecdir)/@PACKAGE@
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
subdir = src
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/snippets/pod_docs.ac \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(dist_html_DATA) $(dist_pdf_DATA) \
	$(dist_ps_DATA) $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
  || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
       $(am__cd) "$$dir" && echo $$files | $(am__xargs_n) 40 $(am__rm_f); }; \
  }
am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(manldir)" \
	"$(DESTDIR)$(htmldir)" "$(DESTDIR)$(pdfdir)" \
	"$(DESTDIR)$(psdir)"
SCRIPTS = $(bin_SCRIPTS)
AM_V_P = $(am__v_P_@AM_V@)
am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_@AM_V@)
am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_@AM_V@)
am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
manldir = $(mandir)/manl
NROFF = nroff
MANS = $(dist_manl_MANS)
DATA = $(dist_html_DATA) $(dist_pdf_DATA) $(dist_ps_DATA)
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
am__DIST_COMMON = $(dist_manl_MANS) $(srcdir)/Makefile.in \
	$(top_srcdir)/snippets/am_vars.mk \
	$(top_srcdir)/snippets/create_am_macros.mk \
	$(top_srcdir)/snippets/inst_vars.mk \
	$(top_srcdir)/snippets/perl_compile.mk \
	$(top_srcdir)/snippets/perl_prog.mk \
	$(top_srcdir)/snippets/perl_subst.mk \
	$(top_srcdir)/snippets/pod_html.mk \
	$(top_srcdir)/snippets/pod_man_init.mk \
	$(top_srcdir)/snippets/pod_manl.mk \
	$(top_srcdir)/snippets/pod_ps_init.mk \
	$(top_srcdir)/snippets/pod_psl.mk \
	$(top_srcdir)/snippets/prog_pod_base.mk \
	$(top_srcdir)/snippets/prog_pod_pl_in.mk \
	$(top_srcdir)/snippets/substitute_config_variables.mk
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = @ACLOCAL@
AMTAR = @AMTAR@
AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
AUTOCONF = @AUTOCONF@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
CSCOPE = @CSCOPE@
CTAGS = @CTAGS@
CYGPATH_W = @CYGPATH_W@
DEFS = @DEFS@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
ETAGS = @ETAGS@
GROFF = @GROFF@
INSTALL = @INSTALL@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
LIBOBJS = @LIBOBJS@
LIBS = @LIBS@
LTLIBOBJS = @LTLIBOBJS@
MAKEINFO = @MAKEINFO@
MKDIR_P = @MKDIR_P@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_URL = @PACKAGE_URL@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
PERL = @PERL@
POD2HTML = @POD2HTML@
POD2MAN = @POD2MAN@
PS2PDF = @PS2PDF@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
STRIP = @STRIP@
VERSION = @VERSION@

# automake variables that should have been there all along
abs_builddir = @abs_builddir@
abs_srcdir = @abs_srcdir@
abs_top_builddir = @abs_top_builddir@
abs_top_srcdir = @abs_top_srcdir@
am__leading_dot = @am__leading_dot@
am__rm_f_notfound = @am__rm_f_notfound@
am__tar = @am__tar@
am__untar = @am__untar@
am__xargs_n = @am__xargs_n@
bindir = @bindir@
build_alias = @build_alias@
builddir = @builddir@
datadir = @datadir@
datarootdir = @datarootdir@
docdir = @docdir@
dvidir = @dvidir@
exec_prefix = @exec_prefix@
host_alias = @host_alias@
htmldir = $(datadir)/doc/$(PACKAGE)/html
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
libdir = @libdir@
libexecdir = @libexecdir@
localedir = @localedir@
localstatedir = @localstatedir@
mandir = @mandir@
mkdir_p = @mkdir_p@
oldincludedir = @oldincludedir@
pdfdir = $(datadir)/doc/$(PACKAGE)
prefix = @prefix@
program_transform_name = @program_transform_name@
psdir = $(datadir)/doc/$(PACKAGE)
runstatedir = @runstatedir@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
srcdir = @srcdir@
sysconfdir = @sysconfdir@
target_alias = @target_alias@
top_build_prefix = @top_build_prefix@
top_builddir = @top_builddir@
top_srcdir = @top_srcdir@
CREATE_AM_MACROS_MK = 
AM_VARS_MK = 
mst_program_prefix = @mst_program_prefix@
INST_VARS_MK = 

# our version of inst-vars.am
strip_dir = `echo $$p | sed -e 's|^.*/||'`;

#-------------------------------------------------------------------
# The following must ALWAYS be defined, as certain makefile snippets
# require them.  If you get errors like
#
#  EXTRA_DIST must be set with `=' before using `+='
#
# we've missed defining one here.

# sources that must be made prior to compilation

#-------------------------------------------------------------------
#

#!!! Only use += for the following automake macros!

# sources that must be made prior to compilation
BUILT_SOURCES =

# extra files to add to the distribution

# extra files to add to the distribution

# make sure the generated file is distributed
EXTRA_DIST = text2usage.pl.in $(PODS:%=%$(POD_SFX))

# Files tha make built but that one would want to rebuild
MOSTLYCLEANFILES = 

# Any other files make built

# Any files make built.

# Any files make built
CLEANFILES = $(bin_SCRIPTS) text2usage.pl pod2htmi.tmp pod2htmd.tmp

# Any files configure built

# Any files configure built
DISTCLEANFILES =

# Any files maintainer built (with autoconf, automake, etc)

# Any files maintainer built(with autoconf, automake, etc)
MAINTAINERCLEANFILES = Makefile.in $(POD_HTML) $(dist_manl_MANS) \
	$(POD_PS) $(POD_PDF) $(PODS:%=%$(POD_SFX))

# Extra suffixes for automake
SUFFIXES = .html .l .ps .pdf .l.ps .l.pdf

# Create automake macros.

# The Perl source is package.pl.in.  If not, adjust CLEANFILES and EXTRA_DIST!
# Make sure to use @PERL@ and @VERSION@ in the .in file.
bin_SCRIPTS = text2usage

# prerequisite checks
SUBSTITUTE_CONFIG_VARIABLES_MK =

# this sed statement is used to fill in configuration variables in
# source (not autotool) files which use the following configuration
# variables:

# extras from the fans 
DO_SUBST = 
do_subst = sed \
		  -e 's,[@]PACKAGE[@],$(PACKAGE),g'			\
		  -e 's,[@]PACKAGE_VERSION[@],$(PACKAGE_VERSION),g'	\
		  -e 's,[@]PERL[@],$(PERL),g'				\
		  -e 's,[@]PERL_USELIB[@],$(PERL_USELIB),g'		\
		  -e 's,[@]STARTPERL[@],$(STARTPERL),g'			\
		  -e 's,[@]VERSION[@],$(VERSION),g'			\
		  -e 's,[@]bindir[@],$(bindir),g'			\
		  -e 's,[@]datadir[@],$(datadir),g'			\
		  -e 's,[@]includedir[@],$(includedir),g'		\
		  -e 's,[@]infodir[@],$(infodir),g'			\
		  -e 's,[@]libdir[@],$(libdir),g'			\
		  -e 's,[@]libexecdir[@],$(libexecdir),g'		\
		  -e 's,[@]localstatedir[@],$(localstatedir),g'		\
		  -e 's,[@]mandir[@],$(mandir),g'			\
		  -e 's,[@]sbindir[@],$(sbindir),g'			\
		  -e 's,[@]sharedstatedir[@],$(sharedstatedir),g'	\
		  -e 's,[@]sysconfdir[@],$(sysconfdir),g'		\
		  -e 's,[@]paramdir[@],$(paramdir),g'			\
		  -e 's,[@]perllibdir[@],$(perllibdir),g'		\
		  -e 's,[@]pdllibdir[@],$(pdllibdir),g'			\
		  -e 's,[@]lualibdir[@],$(lualibdir),g'			\
		  -e 's,[@]pkgdatadir[@],$(pkgdatadir),g'		\
		  -e 's,[@]pkgvdatadir[@],$(pkgvdatadir),g'		\
		  -e 's,[@]prefix[@],$(prefix),g'			\
		  -e 's,[@]program_prefix[@],$(program_prefix),g'	\
		  -e 's,[@]mst_program_prefix[@],$(mst_program_prefix),g'	\
		  -e 's,[@]top_builddir[@],$(top_builddir),g'		\
		  -e 's,[@]top_srcdir[@],$(top_srcdir),g'		\
		  -e 's,[@]srcdir[@],$(srcdir),g'			\
		  $(DO_SUBST)


#============================================================================
# perl_compile.mk

# prerequisite checks
PERL_COMPILE_MK =

# some code may be created during the build process; it will be in 
# $(top_builddir)/lib.  other code may be static; it will be in
# $(top_srcdir)/lib.  The easiest way to handle this is to amend
# PERL5LIB  to include the above paths.  However, we have to
# ensure that we don't ignore PERLLIB if it is set

# the first stanza about pkgvdatadir is historical.
PERL_ENV_SETUP = \
	if [ -n "$(pkgvdatadir)" ]; then \
	  p=`echo "$(PACKAGE)" | sed -e 's|[ -]|_|g'`; \
	  eval $${p}_pkgvdatadir="$(top_builddir)/lib"; \
	  export $${p}_pkgvdatadir ; \
	fi ; \
	if [ -n "$$PERLLIB" -a -z "$$PERL5LIB" ]; then  \
	  PERLLIB="$(top_builddir)/lib:$(top_srcdir)/lib:$$PERLLIB"; \
	elif [ -n "$$PERL5LIB" ]; then \
	  PERL5LIB="$(top_builddir)/lib:$(top_srcdir)/lib:$$PERL5LIB"; \
	else \
	  PERL5LIB="$(top_builddir)/lib:$(top_srcdir)/lib"; \
	fi

PERL_COMPILE = $(PERL_ENV_SETUP); $(PERL) $(PERLFLAGS) $(PERL_BLIB) -wc
PERL_RUN = $(PERL_ENV_SETUP); $(PERL) $(PERLFLAGS) $(PERL_BLIB)
PERL_PROG_MK = 
PERL_SUBST_MK = 
PERL_SUBST_DEPS = Makefile

#-------------------------------------------------------------------
# Snippets go after here, unless their docs say otherwise

# all of the rules to generate perl executables

# this must be an explicit list of man pages; no make variables allowed.
# currently, only section l man pages are supported.
dist_manl_MANS = text2usage.l
PODS = text2usage
POD_HTML = $(PODS:%=%.html)
dist_html_DATA = $(POD_HTML)
POD_MAN = $(dist_manl_MANS)
POD_PS = $(PODS:%=%.ps)
POD_PDF = $(PODS:%=%.pdf)
dist_ps_DATA = $(POD_PS)
dist_pdf_DATA = $(POD_PDF)
POD_SFX = .pod

# necessary for VPATH to get things right
POD_DIR = 
all: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) all-am

.SUFFIXES:
.SUFFIXES: .html .l .ps .pdf .l.ps .l.pdf
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(top_srcdir)/snippets/create_am_macros.mk $(top_srcdir)/snippets/am_vars.mk $(top_srcdir)/snippets/inst_vars.mk $(top_srcdir)/snippets/substitute_config_variables.mk $(top_srcdir)/snippets/perl_compile.mk $(top_srcdir)/snippets/perl_prog.mk $(top_srcdir)/snippets/perl_subst.mk $(top_srcdir)/snippets/prog_pod_pl_in.mk $(top_srcdir)/snippets/prog_pod_base.mk $(top_srcdir)/snippets/pod_html.mk $(top_srcdir)/snippets/pod_man_init.mk $(top_srcdir)/snippets/pod_manl.mk $(top_srcdir)/snippets/pod_ps_init.mk $(top_srcdir)/snippets/pod_psl.mk $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign src/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign src/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
	esac;
$(top_srcdir)/snippets/create_am_macros.mk $(top_srcdir)/snippets/am_vars.mk $(top_srcdir)/snippets/inst_vars.mk $(top_srcdir)/snippets/substitute_config_variables.mk $(top_srcdir)/snippets/perl_compile.mk $(top_srcdir)/snippets/perl_prog.mk $(top_srcdir)/snippets/perl_subst.mk $(top_srcdir)/snippets/prog_pod_pl_in.mk $(top_srcdir)/snippets/prog_pod_base.mk $(top_srcdir)/snippets/pod_html.mk $(top_srcdir)/snippets/pod_man_init.mk $(top_srcdir)/snippets/pod_manl.mk $(top_srcdir)/snippets/pod_ps_init.mk $(top_srcdir)/snippets/pod_psl.mk $(am__empty):

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):
install-binSCRIPTS: $(bin_SCRIPTS)
	@$(NORMAL_INSTALL)
	@list='$(bin_SCRIPTS)'; test -n "$(bindir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \
	fi; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  if test -f "$$d$$p"; then echo "$$d$$p"; echo "$$p"; else :; fi; \
	done | \
	sed -e 'p;s,.*/,,;n' \
	    -e 'h;s|.*|.|' \
	    -e 'p;x;s,.*/,,;$(transform)' | sed 'N;N;N;s,\n, ,g' | \
	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1; } \
	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
	    if ($$2 == $$4) { files[d] = files[d] " " $$1; \
	      if (++n[d] == $(am__install_max)) { \
		print "f", d, files[d]; n[d] = 0; files[d] = "" } } \
	    else { print "f", d "/" $$4, $$1 } } \
	  END { for (d in files) print "f", d, files[d] }' | \
	while read type dir files; do \
	     if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
	     test -z "$$files" || { \
	       echo " $(INSTALL_SCRIPT) $$files '$(DESTDIR)$(bindir)$$dir'"; \
	       $(INSTALL_SCRIPT) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
	     } \
	; done

uninstall-binSCRIPTS:
	@$(NORMAL_UNINSTALL)
	@list='$(bin_SCRIPTS)'; test -n "$(bindir)" || exit 0; \
	files=`for p in $$list; do echo "$$p"; done | \
	       sed -e 's,.*/,,;$(transform)'`; \
	dir='$(DESTDIR)$(bindir)'; $(am__uninstall_files_from_dir)
install-manl: $(dist_manl_MANS)
	@$(NORMAL_INSTALL)
	@list1='$(dist_manl_MANS)'; \
	list2=''; \
	test -n "$(manldir)" \
	  && test -n "`echo $$list1$$list2`" \
	  || exit 0; \
	echo " $(MKDIR_P) '$(DESTDIR)$(manldir)'"; \
	$(MKDIR_P) "$(DESTDIR)$(manldir)" || exit 1; \
	{ for i in $$list1; do echo "$$i"; done;  \
	if test -n "$$list2"; then \
	  for i in $$list2; do echo "$$i"; done \
	    | sed -n '/\.l[a-z]*$$/p'; \
	fi; \
	} | while read p; do \
	  if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; echo "$$p"; \
	done | \
	sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^l][0-9a-z]*$$,l,;x' \
	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
	sed 'N;N;s,\n, ,g' | { \
	list=; while read file base inst; do \
	  if test "$$base" = "$$inst"; then list="$$list $$file"; else \
	    echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(manldir)/$$inst'"; \
	    $(INSTALL_DATA) "$$file" "$(DESTDIR)$(manldir)/$$inst" || exit $$?; \
	  fi; \
	done; \
	for i in $$list; do echo "$$i"; done | $(am__base_list) | \
	while read files; do \
	  test -z "$$files" || { \
	    echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(manldir)'"; \
	    $(INSTALL_DATA) $$files "$(DESTDIR)$(manldir)" || exit $$?; }; \
	done; }

uninstall-manl:
	@$(NORMAL_UNINSTALL)
	@list='$(dist_manl_MANS)'; test -n "$(manldir)" || exit 0; \
	files=`{ for i in $$list; do echo "$$i"; done; \
	} | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^l][0-9a-z]*$$,l,;x' \
	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
	dir='$(DESTDIR)$(manldir)'; $(am__uninstall_files_from_dir)
install-dist_htmlDATA: $(dist_html_DATA)
	@$(NORMAL_INSTALL)
	@list='$(dist_html_DATA)'; test -n "$(htmldir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(htmldir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(htmldir)" || exit 1; \
	fi; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(htmldir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(htmldir)" || exit $$?; \
	done

uninstall-dist_htmlDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(dist_html_DATA)'; test -n "$(htmldir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	dir='$(DESTDIR)$(htmldir)'; $(am__uninstall_files_from_dir)
install-dist_pdfDATA: $(dist_pdf_DATA)
	@$(NORMAL_INSTALL)
	@list='$(dist_pdf_DATA)'; test -n "$(pdfdir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(pdfdir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(pdfdir)" || exit 1; \
	fi; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(pdfdir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(pdfdir)" || exit $$?; \
	done

uninstall-dist_pdfDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(dist_pdf_DATA)'; test -n "$(pdfdir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	dir='$(DESTDIR)$(pdfdir)'; $(am__uninstall_files_from_dir)
install-dist_psDATA: $(dist_ps_DATA)
	@$(NORMAL_INSTALL)
	@list='$(dist_ps_DATA)'; test -n "$(psdir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(psdir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(psdir)" || exit 1; \
	fi; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(psdir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(psdir)" || exit $$?; \
	done

uninstall-dist_psDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(dist_ps_DATA)'; test -n "$(psdir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	dir='$(DESTDIR)$(psdir)'; $(am__uninstall_files_from_dir)
tags TAGS:

ctags CTAGS:

cscope cscopelist:


distdir: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) distdir-am

distdir-am: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) check-am
all-am: Makefile $(SCRIPTS) $(MANS) $(DATA)
installdirs:
	for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(manldir)" "$(DESTDIR)$(htmldir)" "$(DESTDIR)$(pdfdir)" "$(DESTDIR)$(psdir)"; do \
	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
	done
install: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) install-am
install-exec: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	if test -z '$(STRIP)'; then \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	      install; \
	else \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
	fi
mostlyclean-generic:
	-$(am__rm_f) $(MOSTLYCLEANFILES)

clean-generic:
	-$(am__rm_f) $(CLEANFILES)

distclean-generic:
	-$(am__rm_f) $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || $(am__rm_f) $(CONFIG_CLEAN_VPATH_FILES)
	-$(am__rm_f) $(DISTCLEANFILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
	-$(am__rm_f) $(BUILT_SOURCES)
	-$(am__rm_f) $(MAINTAINERCLEANFILES)
clean: clean-am

clean-am: clean-generic mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am: install-dist_htmlDATA install-dist_pdfDATA \
	install-dist_psDATA install-man

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am: install-binSCRIPTS

install-html: install-html-am

install-html-am:

install-info: install-info-am

install-info-am:

install-man: install-manl

install-pdf: install-pdf-am

install-pdf-am:

install-ps: install-ps-am

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-binSCRIPTS uninstall-dist_htmlDATA \
	uninstall-dist_pdfDATA uninstall-dist_psDATA uninstall-man

uninstall-man: uninstall-manl

.MAKE: all check install install-am install-exec install-strip

.PHONY: all all-am check check-am clean clean-generic cscopelist-am \
	ctags-am distclean distclean-generic distdir dvi dvi-am html \
	html-am info info-am install install-am install-binSCRIPTS \
	install-data install-data-am install-dist_htmlDATA \
	install-dist_pdfDATA install-dist_psDATA install-dvi \
	install-dvi-am install-exec install-exec-am install-html \
	install-html-am install-info install-info-am install-man \
	install-manl install-pdf install-pdf-am install-ps \
	install-ps-am install-strip installcheck installcheck-am \
	installdirs maintainer-clean maintainer-clean-generic \
	mostlyclean mostlyclean-generic pdf pdf-am ps ps-am tags-am \
	uninstall uninstall-am uninstall-binSCRIPTS \
	uninstall-dist_htmlDATA uninstall-dist_pdfDATA \
	uninstall-dist_psDATA uninstall-man uninstall-manl

.PRECIOUS: Makefile


# use this as follows:
#
# target : Makefile $(srcdir)/target.in
#	p="$@"; f=$(strip_dir) \
#	$(do_subst) < $(srcdir)/$$f.in > $$f || { rm $$f ; false ; }
#
# additional commands (such as chmod +x $@) may prove useful

# "compilation" rule. add "./" to path if $@ has no directory. workaround
# for bug in FindBin which doesn't handle bare filenames correctly,
# even if they are executables
% : %.pl Makefile
	cp $< $@
	chmod +x $@
	p="$@"; pp="$@" ; f=$(strip_dir) \
	test "$$p" = "$$f" && pp="./$$pp" ; \
	$(PERL_COMPILE) $$pp || { rm $@; false ; }

# substitution rule
%.pl : %.pl.in $(PERL_SUBST_DEPS)
	p="$@"; f=$(strip_dir) \
	$(do_subst) $(srcdir)/$$f.in > $$f || { rm $$f ; false ; }

%.pod : $(srcdir)/%.pl.in
	rm -f $@
	p="$@"; f=$(strip_dir) \
	f=`echo $$f | sed -e 's|[.]pod$$||'` \
	 && $(do_subst) $(srcdir)/$$f.pl.in > $@.tmp
	mv $@.tmp $@

%.html: $(POD_DIR)%$(POD_SFX)
	pod2html --outfile=$@ --infile=$< --title=`basename $< $(POD_SFX)`

%.l: $(POD_DIR)%$(PODLSFX)$(POD_SFX)
	pod2man --name=`basename $< $(PODLSFX)$(POD_SFX)` \
		--section=l --release=' ' --center=' ' $< > $@

%.l.ps: %.l
	groff -man $< > $@

%.ps: %.l
	groff -man $< > $@

%.l.pdf : %.l.ps
	ps2pdf $< $@

%.pdf : %.ps
	ps2pdf $< $@

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

# Tell GNU make to disable its built-in pattern rules.
%:: %,v
%:: RCS/%,v
%:: RCS/%
%:: s.%
%:: SCCS/s.%
